- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_file_t

# mongoc_gridfs_file_error()

## Synopsis

    bool
    mongoc_gridfs_file_error (mongoc_gridfs_file_t *file, bson_error_t *error);

## Parameters

- `file`: A mongoc_gridfs_file_t.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

This function checks to see if there has been an error associated with the last operation upon `file`.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns false if there has been no registered error, otherwise true and error is set.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.